com.airbnb.android.react.maps

## Class MapsPackage

- java.lang.Object
- - com.airbnb.android.react.maps.MapsPackage

    public class MapsPackage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MapsPackage()`
`MapsPackage(android.app.Activity activity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Class<? extends JavaScriptModule>>` `createJSModules()`
`java.util.List<NativeModule>` `createNativeModules(ReactApplicationContext reactContext)`
`java.util.List<ViewManager>` `createViewManagers(ReactApplicationContext reactContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapsPackage

    public MapsPackage(android.app.Activity activity)

#### MapsPackage

    public MapsPackage()

### Method Detail

#### createNativeModules

    public java.util.List<NativeModule> createNativeModules(ReactApplicationContext reactContext)

#### createJSModules

    public java.util.List<java.lang.Class<? extends JavaScriptModule>> createJSModules()

#### createViewManagers

    public java.util.List<ViewManager> createViewManagers(ReactApplicationContext reactContext)